Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.component.html
Class HtmlSelectItems

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UISelectItems
                  org.jboss.seam.ui.component.UISelectItems
                      org.jboss.seam.ui.component.html.HtmlSelectItems

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.2.Final"})
    public class HtmlSelectItems

extends UISelectItems

Creates a List from a List, Set, DataModel or Array.

Nested Class Summary
`protected static class` | `HtmlSelectItems.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlSelectItems()`

Method Summary
`javax.faces.el.MethodBinding` | `getAction()`
`javax.el.MethodExpression` | `getActionExpression()`
`javax.faces.el.MethodBinding` | `getActionListener()`
`String` | `getFamily()`
`Object` | `getItemValue()`
`String` | `getNoSelectionLabel()`
`String` | `getVar()`
`Boolean` | `isDisabled()`
`Boolean` | `isEscape()`
`Boolean` | `isHideNoSelectionLabel()`
`boolean` | `isImmediate()`
`void` | `setAction(javax.faces.el.MethodBinding action)`
`void` | `setActionExpression(javax.el.MethodExpression actionExpression)`
`void` | `setActionListener(javax.faces.el.MethodBinding actionListener)`
`void` | `setDisabled(Boolean disabled)`
`void` | `setEscape(Boolean escape)`
`void` | `setHideNoSelectionLabel(Boolean hideNoSelectionLabel)`
`void` | `setImmediate(boolean immediate)`
`void` | `setItemValue(Object itemValue)`
`void` | `setNoSelectionLabel(String noSelectionLabel)`
`void` | `setVar(String var)`

Methods inherited from class org.jboss.seam.ui.component.UISelectItems
`getLabel, getValue, setLabel`

Methods inherited from class javax.faces.component.UISelectItems
`setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlSelectItems

    public HtmlSelectItems()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UISelectItems`

### getAction

    public javax.faces.el.MethodBinding getAction()

### setAction

    public void setAction(javax.faces.el.MethodBinding action)

### getActionExpression

    public javax.el.MethodExpression getActionExpression()

### setActionExpression

    public void setActionExpression(javax.el.MethodExpression actionExpression)

### getActionListener

    public javax.faces.el.MethodBinding getActionListener()

### setActionListener

    public void setActionListener(javax.faces.el.MethodBinding actionListener)

### isDisabled

    public Boolean isDisabled()

  Specified by:
    `isDisabled` in class `UISelectItems`

### setDisabled

    public void setDisabled(Boolean disabled)

  Specified by:
    `setDisabled` in class `UISelectItems`

### isEscape

    public Boolean isEscape()

  Specified by:
    `isEscape` in class `UISelectItems`

### setEscape

    public void setEscape(Boolean escape)

  Specified by:
    `setEscape` in class `UISelectItems`

### isHideNoSelectionLabel

    public Boolean isHideNoSelectionLabel()

  Specified by:
    `isHideNoSelectionLabel` in class `UISelectItems`

### setHideNoSelectionLabel

    public void setHideNoSelectionLabel(Boolean hideNoSelectionLabel)

  Specified by:
    `setHideNoSelectionLabel` in class `UISelectItems`

### isImmediate

    public boolean isImmediate()

### setImmediate

    public void setImmediate(boolean immediate)

### getItemValue

    public Object getItemValue()

  Specified by:
    `getItemValue` in class `UISelectItems`

### setItemValue

    public void setItemValue(Object itemValue)

  Specified by:
    `setItemValue` in class `UISelectItems`

### getNoSelectionLabel

    public String getNoSelectionLabel()

  Specified by:
    `getNoSelectionLabel` in class `UISelectItems`

### setNoSelectionLabel

    public void setNoSelectionLabel(String noSelectionLabel)

  Specified by:
    `setNoSelectionLabel` in class `UISelectItems`

### getVar

    public String getVar()

  Specified by:
    `getVar` in class `UISelectItems`

### setVar

    public void setVar(String var)

  Specified by:
    `setVar` in class `UISelectItems`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.